Skip to Content
avatar image
Former Member

SAP templates use BAPIs not available in 4.7

We are trying to use the SAP module library templates for PP - We are running 4.7 and do not have access to BAPIs BAPI_PRODORD_GET_LIST or BAPI_PRODORD_GET_DETAIL, two of the BAPIs used in that template.

Any suggestions or help would be appreciated.

Thanks

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

3 Answers

  • Sep 10, 2010 at 02:48 PM

    If these BAPIs were not available in 4.7, then you would probably have to create them. But I was pretty sure the Production Order BAPIs were in existence then. You may want to post on a different board when some more savvy ECC folks would chime in. Are you sure you don't need the Process Order BAPIs? For BAPI_PROCORD_GET_LIST and its fellows were not released until ECC 5.5 (I think).

    Regards and Good luck!

    Mike

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 13, 2010 at 02:26 PM

    Hi

    The majority of BAPIs for production and process orders has been developed in ECC 500. For earlier releases we generally recommend the usage of the POI/LOI interfaces which realize a data transfer of production and planned orders using Idocs.

    Kind Regards

    Rao N Addanki

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 14, 2010 at 06:23 AM

    you may transport whole function group 2005_BAPI from other ECC6 system. I am not sure if there is any legal restriction from SAP side on using components from newer version.

    I guess if you create ticket, SAP may release note & provide these BAPIs

    Add comment
    10|10000 characters needed characters exceeded